[ -n "$BASH_VERSION" ] && [ -f $HOME/.bashrc ] && . $HOME/.bashrc

export XDG_CACHE_HOME=$HOME/.cache
export XDG_CONFIG_HOME=$HOME/.config
export XDG_DATA_HOME=$HOME/.data

export BROWSER=firefox
export EDITOR=vim
export PAGER=less
export VISUAL=vim

: ${SSH_AUTH_SOCK:=$XDG_RUNTIME_DIR/ssh-agent}
export SSH_AUTH_SOCK

for x in \
    "$HOME/bin" \
    "$HOME/.local/bin" \
    "/usr/local/sbin" \
    "/usr/local/bin" \
    "/usr/sbin" \
    "/usr/bin" \
    "/sbin" \
    "/bin" \
    ; do
    [ -d "$x" ] || continue
    case ":${PATH}:" in
        *":${x}:"*) ;;
        *) PATH="${PATH:+$PATH:}${x}" ;;
    esac
done
